## Apache Zeta Components Manual :: Docs For Class ezcBaseValueException

### Base::ezcBaseValueException

### Class ezcBaseValueException

ezcBaseValueException is thrown whenever the type or value of the given variable is not as expected.

Source for this file: /Base/src/exceptions/value.php

    Exception
       |
       --ezcBaseException
          |
          --ezcBaseValueException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcBaseValueException | `__construct( $settingName , $value , [ $expectedValue = null] , [ $variableType = 'setting'] )` Constructs a new ezcBaseValueException on the $name variable.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcBaseValueException __construct( string $settingName , mixed $value , [string $expectedValue = null] , [string $variableType = 'setting'] )

Constructs a new ezcBaseValueException on the $name variable.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$settingName` | string | The name of the setting where something was wrong with.
`$value` | mixed | The value that the option was tried to be set too.
`$expectedValue` | string | A string explaining the allowed type and value range.
`$variableType` | string | What type of variable was tried to be set (setting, argument).

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3